Retrieves all the locations

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

location
NameDescriptionTypeAdditional information
id

globally unique identifier

Required

_parent_id

Reference to a parent location

globally unique identifier
_parent_reference_back_office

Embedded entity "location" for parent location using ERP PK when adding/updating location

string
_parent_location

Embedded entity "location" for parent location when adding/updating location

location
project_status_id

Foreign key to project_status_id

globally unique identifier
company_id

The company owner of this location

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating location

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating location

company

Optionally required : company_id, company_code or company must be provided

name

Name of the location

string

Required

Max length: 50

extra_information

extra_information

string

Max length: 255

reference_back_office

The Id/Ref of the back office for this location. Used by Embedded entity

string

Max length: 255

street

Street

string

Max length: 100

street_number

Street number.

string

Max length: 50

zip

Zip code

string

Max length: 50

city

City

string

Max length: 50

phone

Phone number

string

Max length: 50

email

Email address

string

Max length: 250

db_country_id

Foreign key to table Country

globally unique identifier
db_country_code

CountryCode entity using international code when adding/updating company

string
street2

Additional information on the address not part of the postal address

string

Max length: 50

latitude_decimal

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude_decimal

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
contact_id

Foreign key of contact for this location

globally unique identifier
contact_reference_back_office

Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office

string
contact

Embedded entity "contact" when adding/updating location

contact
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "6a5b44b2-85d3-4029-a308-393cd5dd8fa8",
  "_parent_id": "5ac959d2-1460-443b-9c66-38d62bdc833a",
  "_parent_reference_back_office": "sample string 3",
  "project_status_id": "e003df18-61b4-473a-bd04-96c1c8e14c51",
  "company_id": "738a0ae4-f42d-4579-ab71-14dc312a18c1",
  "company_code": "sample string 6",
  "name": "sample string 7",
  "extra_information": "sample string 8",
  "reference_back_office": "sample string 9",
  "street": "sample string 10",
  "street_number": "sample string 11",
  "zip": "sample string 12",
  "city": "sample string 13",
  "phone": "sample string 14",
  "email": "sample string 15",
  "db_country_id": "763749fd-20d4-4fbe-b901-57e9eb864685",
  "db_country_code": "sample string 17",
  "street2": "sample string 18",
  "latitude_decimal": 1.0,
  "longitude_decimal": 1.0,
  "contact_id": "c45b53ca-2ec7-4608-894b-da56a5cfab15",
  "contact_reference_back_office": "sample string 20",
  "contact": {
    "id": "8478306a-2e26-4150-9495-8c639e92b457",
    "firstname": "sample string 2",
    "lastname": "sample string 3",
    "company_id": "32bb84e5-2a79-4d43-a28e-6759242a086a",
    "company_code": "sample string 5",
    "company": {
      "id": "e2b16937-3fd9-4d62-a50c-d41bf8f55306",
      "is_client": true,
      "is_supplier": true,
      "archived": true,
      "name": "sample string 5",
      "notes": "sample string 6",
      "create_date": "2026-10-19T18:04:54.0386434+00:00",
      "sales_territory_id": "beb1ed26-e5d9-4175-9460-e70fae8574c4",
      "sales_territory_code": "sample string 9",
      "sales_territory": {
        "id": "f8c931c9-006e-491a-b153-fd4ed0bd204f",
        "code": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "8bd1ef45-8806-49f7-84c9-784552f8fc47",
        "sales_organization_code": "sample string 5",
        "sales_organization": {
          "id": "8fa174fa-91b6-4a66-b7af-09fdad236e8e",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "baaf38f2-f698-4b0f-852b-e3e1ea1ef376",
          "db_currency_id": "cb5bfab7-2ada-4a43-9637-70467aa07240",
          "db_language_id": "f9dedfef-7a35-4a76-a7f0-32d4d1aab527",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-19T18:04:54.0386434+00:00"
        },
        "modified_dateutc": "2026-10-19T18:04:54.0386434+00:00"
      },
      "marketing_segment_id": "d44f1f64-2713-4a05-99c0-a540193b83c1",
      "marketing_segment_code": "sample string 11",
      "sales_organization_id": "430e0186-3e69-42dd-8a88-e53a1de23252",
      "sales_organization_code": "sample string 13",
      "company_sales_status_code": "sample string 14",
      "vat_reg_code": "sample string 15",
      "is_working_address": true,
      "parent_id": "9f5ba9ce-3fcc-4c66-a21d-89e32fd56170",
      "parent_company_code": "sample string 18",
      "phone": "sample string 19",
      "fax": "sample string 20",
      "url": "sample string 21",
      "email": "sample string 22",
      "street": "sample string 23",
      "street_number": "sample string 24",
      "city": "sample string 25",
      "zip": "sample string 26",
      "db_country_id": "85bc44e3-77e0-44b6-ba83-ae578f22796b",
      "db_country_code": "sample string 28",
      "feelist_id": "d7ea89e2-e047-4b1c-ad37-daf42c40712c",
      "feelist_reference_back_office": "sample string 30",
      "feelist": {
        "id": "9a46626b-e96a-4a2f-bb98-6b0707b568d2",
        "name": "sample string 2",
        "description": "sample string 3",
        "is_default": true,
        "default_price": 1.0,
        "sales_organization_id": "f4f4cf8f-bf1e-4071-baab-835a91429a6c",
        "sales_organization_code": "sample string 6",
        "reference_back_office": "sample string 7",
        "modified_dateutc": "2026-10-19T18:04:54.057728+00:00",
        "db_currency_id": "cd9b7f38-57ef-4169-8e29-0a262fdac42e",
        "db_currency_code": "sample string 10"
      },
      "company_type_id": "bb46c5e1-d964-47bf-94eb-6c6324367e56",
      "company_type_name": "sample string 32",
      "company_type": {
        "id": "be8cffd5-7e97-4a36-8ac2-6f71addbdd53",
        "name": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "9f76b788-fff1-4f68-b414-40e8a52a5563",
        "sales_organization_code": "sample string 5"
      },
      "db_language_id": "95592512-d394-4f4b-824b-ac264276fdf6",
      "db_language_code": "sample string 34",
      "code": "sample string 35",
      "article_price_label_id": "6c3395f3-7c8f-4e1e-9a68-bd5109ebc82d",
      "article_price_label_code": "sample string 37",
      "db_payment_method_id": "6fbb4443-7ce0-4fc9-80af-4966df11bf76",
      "db_payment_method_reference_back_office": "sample string 39",
      "db_payment_methods": {
        "id": "60d6a60b-ffa6-443d-b90e-05af4d59f0b6",
        "name": "sample string 2",
        "description": "sample string 3",
        "reference_back_office": "sample string 4",
        "activated": true,
        "modified_dateutc": "2026-10-19T18:04:54.057728+00:00"
      },
      "company_sector_id": "0b32310a-b26b-4570-9cf4-30ea883585de",
      "company_sector_code": "sample string 41",
      "is_lead": true,
      "is_subcontractor": true,
      "latitude": 1.0,
      "longitude": 1.0,
      "street2": "sample string 44",
      "bic_code": "sample string 45",
      "specialities": "sample string 46",
      "register_number": "sample string 47",
      "register_city": "sample string 48",
      "bankaccount": "sample string 49",
      "mobile": "sample string 50",
      "service_manager_user_id": "d53a8fc9-7297-4c58-8fa4-9ddaad3f97f0",
      "service_manager_user_code": "sample string 52",
      "finance_manager_user_id": "ba18ea8c-5b17-4f95-ae5b-90c86520bc70",
      "finance_manager_user_code": "sample string 54",
      "account_manager_user_id": "5dc9383f-d8f0-4076-a54d-f046b1d339ea",
      "account_manager_user_code": "sample string 56",
      "company_status_id": "fffb720c-1608-4b70-b672-63b46d76e7fd",
      "invoice_email_to": "sample string 58",
      "modified_dateutc": "2026-10-19T18:04:54.057728+00:00",
      "id2": 60
    },
    "db_language_id": "ba708543-3efa-449e-8b2c-bfa8284c1242",
    "db_language_code": "sample string 7",
    "db_title_id": "bfcda6d0-537a-4e98-a623-2787e866bbf8",
    "archived": true,
    "functions": "sample string 10",
    "e_login": "sample string 11",
    "e_password": "sample string 12",
    "notes": "sample string 13",
    "birthdate": "2026-10-19T18:04:54.057728+00:00",
    "create_date": "2026-10-19T18:04:54.057728+00:00",
    "phone": "sample string 16",
    "mobile": "sample string 17",
    "email": "sample string 18",
    "skype": "sample string 19",
    "private_phone": "sample string 20",
    "private_mobile": "sample string 21",
    "private_email": "sample string 22",
    "reference_back_office": "sample string 23",
    "modified_dateutc": "2026-10-19T18:04:54.057728+00:00"
  },
  "modified_dateutc": "2026-10-19T18:04:54.057728+00:00",
  "id2": 22
}